@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@300..700&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

.roboto {
    font-family: "Roboto", serif;
}

.quicksand {
    font-family: "Quicksand", serif;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.h-404 {
    height: calc(100vh - 130px);
}

body {
    font-family: "Roboto", serif;
    font-size: 16px;
    font-weight: 400;
}

.fa.fa-twitter {
    font-family: sans-serif;
}

.fa.fa-twitter::before {
    content: "𝕏";
}

.header {
    position: relative;
    z-index: 1000;
    width: 100%;
    transition: background-color 0.3s ease;
}

.sticky-header {
    position: fixed !important;
    top: 0 !important;
    left: 0 !important;
    width: 100% !important;
    z-index: 9000 !important;
    background-color: #fff !important;
    /* White background when sticky */
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.15) !important;
    /* Optional: Add shadow for a raised effect */
    transition: all 0.3s ease !important;
    /* Smooth transition for background color */
}

.sticky-header .subbar {
    display: none;
}


/* mobilescreen menu */

.m-menu-slide {
    transition: transform 0.3s ease;
}

.m-menu-open {
    transform: translatey(0%);
}

.m-menu-closed {
    transform: translatey(-100%);
}


/* close icon */

.closetoggle {
    position: relative;
    width: 25px;
    height: 22px;
}


/* give the span element and related pseudo-elements the appearance of white lines */

.close_icon,
.close_icon::before,
.close_icon::after {
    position: absolute;
    width: 25px;
    height: 3px;
    background-color: #04559F;
    left: 0;
}

.close_icon {
    width: 21px;
    top: 0px;
    bottom: 0px;
    margin: auto 0;
}

.close_icon::before {
    content: "";
    bottom: 8px;
}

.close_icon::after {
    content: "";
    top: 8px;
}

.toggled .close_icon {
    height: 3px;
    width: 25px;
    top: 0;
    transform: rotate(-45deg);
    background-color: #fff;
    border-radius: 3px;
}

.toggled .close_icon::after {
    width: 25px;
    height: 3px;
    top: 0px;
    transform: rotate(-270deg);
    background-color: #fff;
    border-radius: 3px;
}


/* hide the top dash by scaling it to 0 */

.toggled .close_icon::before {
    transform: scale(0);
}


/* adjust duration to see it happen slower */

.close_icon,
.close_icon::after {
    transition: all 0.3s linear;
}

.activemenu {
    color: #65CAD9;
}

footer .activemenu {
    color: #65CAD9;
}


/* product slider */

.submenu,
.m-submenu {
    display: none;
}

.submenu.active,
.m-submenu.active {
    display: block;
}

.arrow-btn {
    background: none;
    border: none;
    cursor: pointer;
    display: inline-block;
    transition: transform 0.3s ease-in-out;
    transform-origin: center;
}

.arrow-btn.rotate {
    transform: rotate(180deg);
    /* Rotate 180 degrees to point upwards */
}

.owl-carousel .owl-prev,
.owl-carousel .owl-next {
    position: absolute;
    background-color: #f5f5f500 !important;
    color: rgba(255, 255, 255, 0) !important;
    /* Change arrow color */
    border-radius: 100%;
    background-size: 30% !important;
    transition: all ease 800ms;
    width: 48px;
    height: 48px;
}

.owl-carousel .owl-prev {
    background: url('../images/icons/pre.svg') center no-repeat !important;
    top: 0px;
    bottom: 0px;
    margin: auto 0px;
    border: 1px solid #04559F !important;
    right: 101%;
}


/* Style for the next button */

.owl-carousel .owl-next {
    top: 0px;
    bottom: 0px;
    margin: auto 0px;
    background: url('../images/icons/next.svg') center no-repeat !important;
    border: 1px solid #04559F !important;
    left: 101%;
}


/* Optional: Hover effect for buttons */

.owl-carousel .owl-prev:hover {
    background: url('../images/icons/pre-h.svg') center no-repeat !important;
    background-color: #04559F !important;
}

.owl-carousel .owl-next:hover {
    background: url('../images/icons/next-h.svg') center no-repeat !important;
    background-color: #04559F !important;
}


/* OWL DOTS */

.owl-dots {
    position: absolute;
    bottom: 50px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    gap: 8px;
}


/* Default Dot Style */

.owl-dot {
    width: 50px;
    height: 5px;
    background-color: #939494 !important;
    transition: all 0.3s ease-in-out;
    border-radius: 0px;
}

.testimonial-carousel .owl-dots {
    bottom: 90px;
}

.testimonial-carousel .owl-dot {
    background-color: #63EBFF !important;
    border-radius: 5px;
}


/* Active Dot Style */

.owl-dot.active {
    background-color: #04559F !important;
    /* Active dot color */
}


/* BUTTON CODE */

.btn::before,
.btn::after,
.btn-w::before,
.btn-w::after {
    position: absolute;
    content: "";
}

.btn,
.btn-w {
    position: relative;
    cursor: pointer;
}

.btn span,
.btn-w span {
    position: relative;
    display: flex;
    align-items: center;
    gap: 10px;
    top: 0;
    left: 0;
    width: max-content;
    transition: 0.3s;
}


/*--- btn-1 ---*/

.btn-1::before,
.btn-1-w::before {
    background-color: #04559F;
    transition: 0.3s ease-out;
    border-radius: 30px;
}

.btn-1 span,
.btn-1-w span {
    color: rgb(255, 255, 255);
    border: 1px solid #04559F;
    transition: 0.2s 0.1s;
    border-radius: 30px;
}

.btn-1 span:hover,
.btn-1-w span:hover {
    color: #04559F;
    transition: 0.2s 0.1s;
    border-radius: 30px;
}


/* 1.hover-filled-slide-down */

.btn.hover-filled-slide-down::before,
.btn-w.hover-filled-slide-down-w::before {
    bottom: 0;
    left: 0;
    right: 0;
    height: 100%;
    width: 100%;
}

.btn.hover-filled-slide-down:hover::before,
.btn-w.hover-filled-slide-down-w:hover::before {
    height: 0%;
}

.btn-1-w::before {
    background-color: #ffffff;
}

.btn-1-w span {
    color: #04559F;
    border: 1px solid #ffffff;
}

.btn-1-w span:hover {
    color: #ffffff;
}


/* team flip */

.dm-flip-card2 {
    position: relative;
    width: 100%;
    background: transparent;
    transform-style: preserve-3d;
    perspective: 2000px;
}

.dm-front-card2 {
    position: absolute;
    height: 100%;
    width: 100%;
    backface-visibility: hidden;
    transition: transform 1s;
    background-size: cover;
    background-position: center center;
    border: 1px solid #2880C3;
    /* justify-content:end; */
    /* align-items:center; */
    display: flex;
    flex-direction: column;
}


/*Just overlay color of front image*/

.dm-back-card2:after {
    content: '';
    position: absolute;
    height: 100%;
    width: 100%;
    background: #04559F;
    border: 1px solid #2880C3;
    top: 0;
    left: 0;
    z-index: -1;
}

.dm-back-card2 {
    position: absolute;
    height: 100%;
    width: 100%;
    backface-visibility: hidden;
    transform: rotateX(180deg);
    /*-180deg to flip direction*/
    transition: transform 1s;
    box-shadow: 0px 4px 12px 0px rgba(0, 0, 0, 15%);
    display: flex;
    flex-direction: column;
    background-size: cover;
    background-position: center center;
}

.dm-flip-card2:hover .dm-front-card2 {
    transform: rotateX(-180deg);
    /*180deg to flip direction*/
}

.dm-flip-card2:hover .dm-back-card2 {
    transform: rotateX(0deg);
}


/* BANNER */

.homebanner-h {
    height: calc(100vh - 143px);
}

@media (max-width: 1536px) {
    .testimonial-carousel .owl-dots {
        bottom: 70px;
    }
}

@media (max-width: 1280px) {
    .testimonial-carousel .owl-dots {
        bottom: 50px;
    }
}

@media (max-width: 1024px) {
    .h-404 {
        height: calc(100vh - 78px);
    }

    .homebanner-h {
        height: calc(100vh - 78px);
    }

    .owl-carousel .owl-prev,
    .owl-carousel .owl-next {
        width: 40px;
        height: 40px;
        background-size: 27% !important;
    }

    .owl-dot {
        width: 40px;
        height: 4px;
    }

    .testimonial-carousel .owl-dot {
        border-radius: 4px;
    }
}

@media (max-width: 640px) {
    .homebanner-h {
        height: calc(100vh - 78px);
    }

    .owl-carousel .owl-prev,
    .owl-carousel .owl-next {
        width: 30px;
        height: 30px;
        background-size: 24% !important;
    }

    .owl-dot {
        width: 30px;
        height: 3px;
    }

    .testimonial-carousel .owl-dot {
        border-radius: 3px;
    }
}

.ultra-slow-spin {
    animation: ultra-slow-spin 6s linear infinite;
}

@keyframes ultra-slow-spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}


/* ABOUT */

.team-h {
    height: calc(100% - 400px);
}

.rounded-h {
    height: 100vw;
}

@keyframes slideInUp {
    from {
        opacity: 0;
        transform: translateY(30px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.animate-slideInUp {
    animation: slideInUp 1s ease-in-out forwards;
}

.animate-fadeIn {
    animation: fadeIn 1s ease-in-out forwards;
}

.custom-checkbox {
    appearance: none;
    width: 22px;
    height: 22px;
    background-color: #FFFFFF;
    border: 2px solid #FFFFFF;
    border-radius: 4px;
    cursor: pointer;
    position: relative;
}


/* Custom Checkbox Checked Style */

.custom-checkbox:checked {
    background-color: #FFFFFF;
    /* Green when checked */
    border-color: #FFFFFF;
}

.custom-checkbox:checked::after {
    content: "✔";
    color: #04559F;
    font-size: 16px;
    font-weight: bold;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}


/* .h-cookies{
  height: calc(100% - 600px);} */

.h-cookies {
    height: calc(100vh - 460px);
}

.active-protab .pro-img {
    opacity: 0;
}

.active-protab .pro-hover {
    opacity: 1; /* Reset opacity from 100 to 1 */
}

/* Ensure consistent sizing and responsiveness for all profile tab menu icons */
.pro-tab .pro-img,
.pro-tab .pro-hover {
    width: 24px;
    height: 24px;
    object-fit: contain;
    display: inline-block;
    vertical-align: middle;
    transition: opacity 0.2s ease-in-out;
}

.pro-tab .pro-hover {
    margin-top: -24px !important;
}

.tab-button.active {
    background-color: #04559F;
    color: white;
}

.prev-btn:disabled,
.next-btn:disabled {
    opacity: 0.5;
    cursor: not-allowed;
}


/*---------------- */

.dynamic-css h2 {
    text-transform: capitalize;
    font-weight: 700;
    font-family: 'Quicksand', sans-serif;
    color: #04559F;
    line-height: 1.25;
    animation-name: fadeInUp;
    animation-duration: 1s;
    animation-fill-mode: both;
    font-size: 22px;
}

.dynamic-css p,
.dynamic-css ul li,
.dynamic-css ol li {
    color: #323232;
    font-size: 16px;
    line-height: 1.5;
    animation-name: fadeInLeft;
    animation-duration: 1s;
    animation-fill-mode: both;
}

.dynamic-css h6 {
    font-weight: 700;
    color: black;
    font-size: 18px;
    line-height: 1.25;
    margin-bottom: 16px;
    margin-top: 40px;
    text-transform: capitalize;
    animation-name: fadeInUp;
    animation-duration: 1s;
    animation-fill-mode: both;
}

.blog-dynamic-css h4 {
    font-weight: 700;
    color: black;
    font-size: 22px;
    line-height: 1.25;
    margin-bottom: px;
    margin-top: 40px;
    animation-name: fadeInUp;
    animation-duration: 1s;
    animation-fill-mode: both;
}

.blog-dynamic-css p,
.blog-dynamic-css li {
    color: #323232;
    font-size: 16px;
    line-height: 1.5;
    animation-name: fadeInLeft;
    animation-duration: 1s;
    animation-fill-mode: both;
}


.dynamic-css ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

.blog-dynamic-css ol {
    margin: 0;
    padding: 0;
    list-style: auto;
    padding-left: 20px;
}

.dynamic-css ul li,
.dynamic-css ol li,
.blog-dynamic-css ol li,
.blog-dynamic-css ul li,
.blog-dynamic-css ul li,
.blog-dynamic-css ul li ul li {
    /* display: flex; */
    margin-bottom: 10px;
    /* lg:space-y-5 */
    animation-name: fadeInLeft;
    animation-duration: 1s;
    animation-fill-mode: both;
    position: relative;
    padding-left: 26px;
}

.blog-dynamic-css ul li ul li {
    padding-left: 16px;
    margin-bottom: 4px;
}

.dynamic-css ul li::before,
.blog-dynamic-css ul li::before {
    content: '';
    position: absolute;
    left: 0;
    top: 5px;
    width: 12px;
    height: 12px;
    background-image: url('../images/icons/company.svg');
    background-size: contain;
    background-repeat: no-repeat;
}


.blog-dynamic-css ul li ul li::before {
    content: '•';
    position: absolute;
    left: 0;
    top: 0px;
    width: 12px;
    height: 12px;
    background: none;
}

.dynamic-css ol {
    list-style: decimal !important;
    padding-left: 16px;
}

.dynamic-css ol li,
.blog-dynamic-css ol li {
    padding-left: 0px;
    display: list-item;
}

@media (max-width: 1280px) {

    .dynamic-css p,
    .dynamic-css ul li,
    .dynamic-css ol li {
        font-size: 14px;
        letter-spacing: 0.05em;
        line-height: 1.75;
    }
}

@media (min-width: 1536px) {

    .dynamic-css p,
    .dynamic-css ul li,
    .dynamic-css ol li {
        line-height: 2;
    }

    .dynamic-css h2 {
        font-size: 50px;
    }
}

@media (max-width: 1024px) {
    .blog-dynamic-css h4 {
        font-size: 20px;
    }

    .blog-dynamic-css p,
    .blog-dynamic-css ol li,
    .blog-dynamic-css ul li {
        font-size: 14px;
    }

    .dynamic-css ul li,
    .dynamic-css ol li {
        margin-bottom: 8px;
    }

    .dynamic-css ul li::before {
        width: 14px;
        height: 14px;
    }

    .dynamic-css p,
    .dynamic-css ul li,
    .dynamic-css ol li {
        font-size: 14px;
        letter-spacing: 0;
        line-height: 1.625;
    }

    .dynamic-css h6 {
        margin-bottom: 15px;
        margin-top: 35px;
        font-size: 16px;
    }
}

@media (max-width: 640px) {
    .blog-dynamic-css p {
        font-size: 12px;
    }

    .blog-dynamic-css h4 {
        font-size: 20px;
    }

    .dynamic-css p,
    .dynamic-css ul li,
    .dynamic-css ol li {
        font-size: 13px;
    }

    .dynamic-css h2 {
        font-size: 35px;
    }

    .dynamic-css h6 {
        margin-bottom: 8px;
        margin-top: 30px;
        font-size: 14px;
    }

    .dynamic-css ul li,
    .dynamic-css ol li {
        margin-bottom: 6px;
    }
}

@keyframes fadeInLeft {
    from {
        opacity: 0;
        transform: translate3d(-40px, 0, 0);
    }

    to {
        opacity: 1;
        transform: none;
    }
}

@keyframes fadeInUp {
    from {
        opacity: 0;
        transform: translate3d(0, 40px, 0);
    }

    to {
        opacity: 1;
        transform: none;
    }
}